<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{fragments/layout}" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Géstion des étudiants</title>
</head>

<body>
<!-- page content -->
<div class="right_col" role="main" data-layout-fragment="content">
    <div class="">
        <div class="page-title">
            <div class="title_left">
                <h3>Liste des étudiants</h3>
            </div>

            <div class="title_right">
                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                    <form th:action="@{Index}" method="get">
                        <label>Mot Clé</label>
                        <div class="input-group">
                            <input type="text" name="motCle" th:value="${motCle}" class="form-control" placeholder="Search for...">
                            <span class="input-group-btn">
                                <button class="btn btn-default glyphicon glyphicon-search" type="submit">  Go!</button>
                            </span>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>

        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <h2>Liste des étudiant</h2>
                        <ul class="nav navbar-right panel_toolbox">
                            <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                            </li>
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                                <ul class="dropdown-menu" role="menu">
                                    <li><a href="#">Settings 1</a>
                                    </li>
                                    <li><a href="#">Settings 2</a>
                                    </li>
                                </ul>
                            </li>
                            <li><a class="close-link"><i class="fa fa-close"></i></a>
                            </li>
                        </ul>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        <!-- /page content -->
                        <div class="container spacer">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>ID</th> <th>Nom</th> <th>Prénom</th>  <th>DateNaissance</th> <th>Email</th> <th>Telephone</th> <th>Photo</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="e:${pageEtudiants.content}">
                                    <td th:text="${e.id}"></td>
                                    <td th:text="${e.nom}"></td>
                                    <td th:text="${e.prenom}"></td>
                                    <td th:text="${e.dateNaissance}"></td>
                                    <td th:text="${e.email}"></td>
                                    <td th:text="${e.telephone}"></td>
                                    <td>
                                        <img class="img-circle" th:src="@{getPhoto(id=${e.id})}" width="100" height="100"/>
                                    </td>
                                    <td><a type="button" class="btn btn-danger" onclick="return confirm('Etes vous sure ?')" th:href="@{supprimer(id=${e.id})}">Supprimer</a></td>
                                    <td><a type="button" class="btn btn-success" th:href="@{edit(id=${e.id})}">Modifier</a></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="container">
                            <nav>
                                <ul class="pagination pagination-sm">
                                    <li class="page-item" >
                                        <a class="page-link" aria-label="Previous"  th:href="${(pageCourante-1)>=0}? @{Index(page=${pageCourante-1},motCle=${motCle})}:@{Index(page=${pageCourante},motCle=${motCle})}">
                                            <span aria-hidden="true">&laquo;</span>
                                        </a>
                                    </li>

                                    <li  th:each="p:${pages}" th:class="${p==pageCourante}? 'active page-item' :'page-item'">
                                        <a class="page-link" th:text="${p}" th:href="@{Index(page=${p},motCle=${motCle})}"> </a>
                                    </li>
                                    <li class="page-item">
                                        <a class="page-link" aria-label="Previous"  th:href="${(pageCourante+1)< NombrePage}? @{Index(page=${pageCourante+1},motCle=${motCle})}:@{Index(page=${pageCourante},motCle=${motCle})}">
                                            <span aria-hidden="true">&raquo;</span>
                                        </a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
